summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTom Li Dobnik <tomlidobnik1@gmail.com>2026-02-20 15:17:36 +0100
committerTom Li Dobnik <tomlidobnik1@gmail.com>2026-02-20 15:17:36 +0100
commit2f6fbcdee8cb5523c13145a66fea5539885004ec (patch)
tree66dfe7ad53e907b99080ec87cc7ed46f2d1ef57a
parentac0968042ddb333de5e3c371cc79b3b4ef098356 (diff)
update
-rw-r--r--.config/Brewfile11
-rw-r--r--.config/install.sh7
2 files changed, 14 insertions, 4 deletions
diff --git a/.config/Brewfile b/.config/Brewfile
index a008b76..ace5a5d 100644
--- a/.config/Brewfile
+++ b/.config/Brewfile
@@ -17,6 +17,14 @@ brew "yarn"
brew "lazygit"
brew "atuin"
brew "starship"
+brew "huggingface-cli"
+brew "mactop"
+brew "just"
+brew "sqlite"
+brew "stew"
+brew "tmux"
+brew "websocat"
+brew "uv"
cask "visual-studio-code"
cask "google-chrome"
@@ -36,5 +44,6 @@ cask "discord"
cask "spotify"
cask "aldente"
cask "ghossty"
-cask "vivaldi"
cask "brave"
+cask "font-iosevka-term-nerd-font"
+cask "microsoft-teams"
diff --git a/.config/install.sh b/.config/install.sh
index 89be1d3..5be31dd 100644
--- a/.config/install.sh
+++ b/.config/install.sh
@@ -30,9 +30,6 @@ defaults write -g KeyRepeat -int 1
defaults write -g InitialKeyRepeat -int 20
killall Dock
-# Ensure Fish shell is available in /etc/shells and set it as the default
-grep -qxF "/opt/homebrew/bin/fish" /etc/shells || echo "/opt/homebrew/bin/fish" | sudo tee -a /etc/shells
-chsh -s /opt/homebrew/bin/fish
# Instructions for additional apps
echo "Go to System Settings > Keyboard > Text Input and disable all"
@@ -41,3 +38,7 @@ cd "~/dotfiles/"
stow .
# Install packages with Homebrew
brew bundle
+
+# Ensure Fish shell is available in /etc/shells and set it as the default
+grep -qxF "/opt/homebrew/bin/fish" /etc/shells || echo "/opt/homebrew/bin/fish" | sudo tee -a /etc/shells
+chsh -s /opt/homebrew/bin/fish